Skip Menu |
 

This queue is for tickets about the Text-Balanced CPAN distribution.

Report information
The Basics
Id: 21468
Status: resolved
Priority: 0/
Queue: Text-Balanced

People
Owner: Nobody in particular
Requestors: jmcnamara [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: 2.02



Subject: Text::Balanced Makefile and Build file require "warning.pm" while module doesn't.
Download (untitled) / with headers
text/plain 315b
The Makefile.PL and Build.PL file require warnings.pm and thus perl >= 5.6 while the module doesn't use warnings.pm and only has a requirement for 5.005. This prevent the module, and thus Parse::RecDescent, from installing cleanly in Perl 5.005. I suggest removing "use warnings;" from both files. John. --
Now fixed as CHORNY has noted. (The module no longer supports perls < 5.8.1.)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.